# /lib/modprobe.d/sc8280xp_thinkpad-x13s.conf
# modprobe.conf for the Hardware Model: Lenovo ThinkPad x13s (sc8280xp SoC).
#
# This file is stored within the source tree here:
# source/k/SlkOS-initrd-overlay/usr/share/hwm-configure/platform/aarch64/modprobe.d
# and is moved into /lib/modprobe.d within the OS InitRD (including the Slackware
# Installer) by /load_kernel_modules at run time.

# Exclude loading this driver from the InitRD as it doesn't activate the interface
# despite having the firmware and module. This driver isn't part of the generic
# Slackware OS InitRD, so it only poses a problem when employing the -S option with
# os-initrd-mgr.  This will be loaded when the OS proper boots.
# Simple support isn't required for this Hardware Model.
# Blacklisted incase they are loaded from a future loader script.
blacklist msm
blacklist qcom_q6v5_pas

# Simple support isn't required for this Hardware Model.
# Blacklisted incase they are loaded from a future loader script.
blacklist usbkbd
blacklist usbmouse
